<template>
  <h2 class="title">{{ $t('pages.faq.introduction_section_title') }}</h2>
  <ul class="list">
    <li v-for="section in faqSections" class="list-item">
      <router-link
        :to="{ name: 'faqItem', params: { id: section.id } }"
        class="list-item-link"
      >
        <div class="list-item-link-content">
          <div class="list-item-img-wrapper">
            <img :src="img(section.url)" alt="" class="list-item-img" />
          </div>
          <h3 class="list-item-title">{{ section.title }}</h3>
        </div>
        <img
          src="@/assets/images/chevron.svg"
          loading="lazy"
          class="image-chevron"
        />
      </router-link>
    </li>
  </ul>
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import { useI18n } from 'vue-i18n'
import { img } from '../utils/image'
const { t } = useI18n()
interface FaqSectionsData {
  id: string
  title: string
  url: string
}
const faqSections = computed<FaqSectionsData[]>(() => [
  {
    id: 'juridique',
    title: t('pages.faq.section_legal.title'),
    url: 'law.svg'
  },
  {
    id: 'verser-des-photos',
    title: t('pages.faq.section_upload.title'),
    url: 'upload-img.svg'
  },
  {
    id: 'les-instances',
    title: t('pages.faq.section_instances.title'),
    url: 'instance-sites.svg'
  },
  {
    id: 'collecter-les-photos',
    title: t('pages.faq.section_contribute.title'),
    url: 'contribute-character.svg'
  },
  {
    id: 'visualiser-et-utiliser-les-photos',
    title: t('pages.faq.section_usecases.title'),
    url: 'how-to-share-map.png'
  },
  {
    id: 'gerer-mon-compte',
    title: t('pages.faq.section_account.title'),
    url: 'manage-account.jpg'
  }
])
</script>

<style scoped>
.title {
  font-family: SFPro-SemiBold;
  font-size: 2.2rem;
  color: var(--blue-dark);
  margin-bottom: 2rem;
}
.list {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}
.list-item-img-wrapper {
  height: 7rem;
}
.list-item-img {
  height: 100%;
}
.list-item {
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
  border-radius: 1rem;
  width: calc(33% - 2rem);
}
.list-item-link {
  text-decoration: none;
}
.list-item-link-content {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2.5rem;
  border-radius: 1rem;
}
.list-item-link-content:hover {
  background-color: var(--grey);
}
.list-item-title {
  margin-left: 2rem;
  color: var(--blue-dark);
  font-size: 1.8rem;
}
.image-chevron {
  display: none;
}

@media (max-width: 1024px) {
  .list-item-link-content {
    flex-direction: column;
  }
  .list-item-title {
    margin-left: 0;
    margin-top: 1rem;
  }
}
@media (max-width: 768px) {
  .title {
    font-size: 1.8rem;
  }
  .list {
    gap: 0;
    border-radius: 1rem;
    border: 0.1rem solid var(--grey-pale);
  }
  .list-item {
    width: 100%;
    box-shadow: none;
    border-radius: 0;
    border-bottom: 0.1rem solid var(--grey-pale);
  }
  .list-item:last-child {
    border-bottom: none;
  }
  .list-item-title {
    font-size: 1.6rem;
  }
  .list-item-link {
    display: flex;
    justify-content: space-between;
  }
  .list-item-link-content {
    flex-direction: row;
    justify-content: initial;
    border-radius: 0;
    padding: 1rem;
  }
  .list-item-img-wrapper {
    width: 10.5rem;
  }
  .image-chevron {
    display: block;
    transform: rotate(270deg);
    margin-right: 2rem;
  }
  .list-item-title {
    margin-left: 1rem;
    margin-top: 0;
  }
}
</style>
